/*
*  Rubrica
*  file: 
*
*  
*  Copyright (C) 2000-2005 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _RUBRICA_ADB_H
#define _RUBRICA_ADB_H

#include <gtk/gtk.h>
#include <libral.h>

#include "gui_types.h"


#define RUBRICA_ADB_TYPE           (rubrica_adb_get_type())

#define RUBRICA_ADB(obj)           (G_TYPE_CHECK_INSTANCE_CAST((obj),     \
                                    RUBRICA_ADB_TYPE, RubricaAdb))

#define RUBRICA_ADB_CLASS(klass)   (G_TYPE_CHECK_CLASS_CAST((klass),      \
                                    RUBRICA_ADB_TYPE, RubricaAdbClass))

#define IS_RUBRICA_ADB(obj)        (G_TYPE_CHECK_INSTANCE_TYPE((obj),     \
                                    RUBRICA_ADB_TYPE))

#define IS_RUBRICA_ADB_CLASS(kls)  (G_TYPE_CHECK_CLASS_TYPE((kls),        \
                                    RUBRICA_ADB_TYPE))

#define RUBRICA_ADB_GET_CLASS(kls) (G_TYPE_INSTANCE_GET_CLASS((kls),      \
			            RUBRICA_ADB_TYPE, RubricaAdbClass))


typedef struct _RubricaAdb        RubricaAdb; 
typedef struct _RubricaAdbClass   RubricaAdbClass;
typedef struct _RubricaAdbPrivate RubricaAdbPrivate;


struct _RubricaAdb {
  GObject parent;
   
  RubricaAdbPrivate* private;  
};


struct _RubricaAdbClass {
  GObjectClass parent;

  /*     Signals
  */
  void (*renamed) (RubricaAdb* adb, gchar* newname);
};



GType            rubrica_adb_get_type        (void);


RubricaAdb*      rubrica_adb_new             (void);
void             rubrica_adb_free            (RubricaAdb* adb);


void             rubrica_adb_set_name        (RubricaAdb* adb, gchar* name);
void             rubrica_adb_set_user_groups (RubricaAdb* adb, 
					      RubricaGroupSet* set);
void             rubrica_adb_set_groups      (RubricaAdb* adb, 
					      RubricaGroupSet* set);

void             rubrica_adb_set_tree        (RubricaAdb* adb, 
					      GtkTreeView* tree);

RubricaAbook*    rubrica_adb_get_addressbook (RubricaAdb* adb);
GtkTreeView*     rubrica_adb_get_tree        (RubricaAdb* adb);
RubricaGroupSet* rubrica_adb_get_user_groups (RubricaAdb* adb);
RubricaGroupSet* rubrica_adb_get_groups      (RubricaAdb* adb);
gchar*           rubrica_adb_get_name        (RubricaAdb* adb);



#endif
